Subject: bug#32238: "calibre" package fails to build.

From: Andreas Enge <[email-masked]>
Date: Sat, 21 Jul 2018 19:32:03 +0200

Hello Matthew,

On Thu, Jun 28, 2018 at 05:01:55PM -0500, Matthew Brooks wrote:
> It's also several versions out of date, according to the website. Which lists 3.26.1 as the latest version, while 3.17 is the latest in the guix repo:
> https://calibre-ebook.com/whats-new
> (This might be the cause of the error, since I remember reading that calibre is tightly bound to specific versions of QT, but I don't have the link to the forum post it was in.)

I just updated our package to the most recent one, 3.28.0, and it now
builds. However, I forgot to test it, and running it fails with
Traceback (most recent call last):
  File "/gnu/store/brj5xv8zqa1w7byz8b1fz0fd1hmy3kd4-calibre-3.28.0/bin/.calibre-real", line 20, in <module>
    sys.exit(calibre())
  File "/gnu/store/brj5xv8zqa1w7byz8b1fz0fd1hmy3kd4-calibre-3.28.0/lib/calibre/calibre/gui_launch.py", line 74, in calibre
    main(args)
  File "/gnu/store/brj5xv8zqa1w7byz8b1fz0fd1hmy3kd4-calibre-3.28.0/lib/calibre/calibre/gui2/main.py", line 567, in main
    gui_debug=gui_debug)
  File "/gnu/store/brj5xv8zqa1w7byz8b1fz0fd1hmy3kd4-calibre-3.28.0/lib/calibre/calibre/gui2/main.py", line 396, in run_gui
    from calibre.gui2.ui import Main
  File "/gnu/store/brj5xv8zqa1w7byz8b1fz0fd1hmy3kd4-calibre-3.28.0/lib/calibre/calibre/gui2/ui.py", line 43, in <module>
    from calibre.gui2.init import LibraryViewMixin, LayoutMixin
  File "/gnu/store/brj5xv8zqa1w7byz8b1fz0fd1hmy3kd4-calibre-3.28.0/lib/calibre/calibre/gui2/init.py", line 19, in <module>
    from calibre.gui2.library.views import BooksView, DeviceBooksView
  File "/gnu/store/brj5xv8zqa1w7byz8b1fz0fd1hmy3kd4-calibre-3.28.0/lib/calibre/calibre/gui2/library/views.py", line 19, in <module>
    from calibre.gui2.library.delegates import (RatingDelegate, PubDateDelegate,
  File "/gnu/store/brj5xv8zqa1w7byz8b1fz0fd1hmy3kd4-calibre-3.28.0/lib/calibre/calibre/gui2/library/delegates.py", line 24, in <module>
    from calibre.gui2.dialogs.comments_dialog import CommentsDialog, PlainTextDialog
  File "/gnu/store/brj5xv8zqa1w7byz8b1fz0fd1hmy3kd4-calibre-3.28.0/lib/calibre/calibre/gui2/dialogs/comments_dialog.py", line 9, in <module>
    from calibre.gui2.dialogs.comments_dialog_ui import Ui_CommentsDialog
  File "/gnu/store/brj5xv8zqa1w7byz8b1fz0fd1hmy3kd4-calibre-3.28.0/lib/calibre/calibre/gui2/dialogs/comments_dialog_ui.py", line 40, in <module>
    from calibre.gui2.comments_editor import Editor
  File "/gnu/store/brj5xv8zqa1w7byz8b1fz0fd1hmy3kd4-calibre-3.28.0/lib/calibre/calibre/gui2/comments_editor.py", line 17, in <module>
    from PyQt5.QtWebKitWidgets import QWebView, QWebPage
ImportError: No module named QtWebKitWidgets

So this needs to be corrected with respect to the disappearance of
QtWebKitWidgets from Qt, I will have a look now. (So far, I think there
is no point in reverting the commit to get back from a non-working to
a non-compiling calibre...)

Andreas